Bug 1005613 - [abrt] gnome-shell-3.8.4-2.fc19: magazine_chain_pop_head: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.8.4-2.fc19: magazine_chain_pop_head: Process /usr/bin/gn...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:10767b98fd716440110969e18b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 21:08 EDT by chrism
Modified: 2014-12-05 12:55 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1051457 (view as bug list)
Environment:
Last Closed: 2014-12-05 12:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.99 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: core_backtrace (21.39 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: dso_list (21.92 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: environ (1.18 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: maps (106.41 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: open_fds (3.66 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details
File: var_log_messages (1.36 KB, text/plain)
2013-09-08 21:08 EDT, chrism
no flags Details

  None (edit)
Description chrism 2013-09-08 21:08:13 EDT
Version-Release number of selected component:
gnome-shell-3.8.4-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:532
 #1 thread_memory_magazine1_alloc at gslice.c:835
 #2 g_slice_alloc at gslice.c:994
 #3 g_slice_alloc0 at gslice.c:1029
 #4 clutter_event_new at ./clutter-event.c:1101
 #5 clutter_x11_handle_event at x11/clutter-event-x11.c:190
 #6 gnome_shell_plugin_xevent_filter at gnome-shell-plugin.c:392
 #7 meta_compositor_process_event at compositor/compositor.c:926
 #8 event_callback at core/display.c:2937
 #9 filter_func at ui/ui.c:254

Potential duplicate: bug 702257
Comment 1 chrism 2013-09-08 21:08:18 EDT
Created attachment 795456 [details]
File: backtrace
Comment 2 chrism 2013-09-08 21:08:21 EDT
Created attachment 795457 [details]
File: cgroup
Comment 3 chrism 2013-09-08 21:08:25 EDT
Created attachment 795458 [details]
File: core_backtrace
Comment 4 chrism 2013-09-08 21:08:28 EDT
Created attachment 795459 [details]
File: dso_list
Comment 5 chrism 2013-09-08 21:08:32 EDT
Created attachment 795460 [details]
File: environ
Comment 6 chrism 2013-09-08 21:08:35 EDT
Created attachment 795461 [details]
File: exploitable
Comment 7 chrism 2013-09-08 21:08:38 EDT
Created attachment 795462 [details]
File: limits
Comment 8 chrism 2013-09-08 21:08:43 EDT
Created attachment 795463 [details]
File: maps
Comment 9 chrism 2013-09-08 21:08:46 EDT
Created attachment 795464 [details]
File: open_fds
Comment 10 chrism 2013-09-08 21:08:50 EDT
Created attachment 795465 [details]
File: proc_pid_status
Comment 11 chrism 2013-09-08 21:08:53 EDT
Created attachment 795466 [details]
File: var_log_messages
Comment 12 Jan Teichmann 2013-09-28 07:59:24 EDT
The problem is related to suspend-to-ram. It occurs after the laptop wakes up and the problem is 100% reproducible.
Other symptoms are:
Network is down and the NetworkManager says all network interfaces are unmanaged.
I cannot change to root. The command su shows no reaction.
Changing to another terminal (TTY2...) only gives an empty black screen without prompt.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.1-200.fc19.i686.PAE
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Jan Teichmann 2013-09-30 05:43:33 EDT
The bug allows to bypass the screen lock without password.

In my case the bug occurs every time I used suspend-to-ram. The lock screen is unresponsive and after a while it continues straight to the running gnome session without password. The gnome session is buggy and not everything works but it allows access of data and programmes.
Comment 14 ant.aja 2013-10-15 07:35:48 EDT
Installed PostInstaller on 14/10 in order to add Netflix-Desktop, XBMC and a few other modules. Shortly afterwards, Fedora began crashing whenever I tried to use the search box, and now it crashes when using the Activities tab.

yum removed PostInstaller hoping it was a faulty extension, but the issue persists.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.3-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 starfall 2013-10-16 17:52:35 EDT
Clicking (in gnome-shell) on "Activities > Show Applications > All" causes gnome-shell to crash every time.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.10.11-200.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 starfall 2013-10-16 19:59:16 EDT
(In reply to starfall from comment #15)
> Clicking (in gnome-shell) on "Activities > Show Applications > All" causes
> gnome-shell to crash every time.
> 
> reporter:       libreport-2.1.8
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-shell
> crash_function: magazine_chain_pop_head
> executable:     /usr/bin/gnome-shell
> kernel:         3.10.11-200.fc19.x86_64
> package:        gnome-shell-3.8.4-2.fc19
> reason:         Process /usr/bin/gnome-shell was killed by signal 11
> (SIGSEGV)
> runlevel:       N 5
> type:           CCpp
> uid:            1000

I found that the issue was caused by the installation of the new gtk3 package - 3.8.5-1.fc19.x86_64. Once I downgraded back to gtk3-3.8.4-1.fc19.x86_64, the crashes stop.
Comment 17 Tom Bentley 2013-10-17 04:43:28 EDT
After upgrading my system (via "Software Upgrade") and after rebooting, gnome is unusable as moments after logging in gnome-shell crashes. Gnome-shell worked fine before the upgrade.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10a6cad251b330f5a134081720292197100000024190000
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Tom Bentley 2013-10-17 05:26:05 EDT
I should add that for me I don't even need to go to "Activities": gnome shell always crashes a few seconds after login, even if I do nothing.

But downgrading gtk3 as mentioned above has fixed the issue for now. Thanks starfall.
Comment 19 starfall 2013-10-17 05:33:52 EDT
Opened a new gtk3 bug for this -

https://bugzilla.redhat.com/show_bug.cgi?id=1020073
Comment 20 John Heidemann 2013-10-18 19:10:42 EDT
can severity of this be marked "high"?  (I cannot change severity, AFAIK.)

For me, the shell crashes consistently when trying to do [Windows-Key] and typing a command to run.  Without that capability, the shell is...ahem... not very useful.

Also, I can confirm rolling back gtk3-3.8.4 is a work-around.  (So I guess this is really a gtk3 bug that gnome-shell happens to trigger.)
Comment 21 the.hw.group 2013-10-20 22:05:37 EDT
just clicked on the gnome applications menu (show all)

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 3
type:           CCpp
uid:            1000
Comment 22 John Heidemann 2013-10-24 14:08:28 EDT
gnome-shell crashes for me are fixed with the current update gtk3-3.8.6-1.fc19.x86_64
Comment 23 Hedayat Vatankhah 2013-10-29 05:07:11 EDT
I went to Gnome Shell Overview mode and started typing "virtual". In the middle (I don't know exactly which character), gnome shell crashes. It happens always, and is probably caused by some entries it tries to show.

reporter:       libreport-2.1.8
abrt_installed_version: abrt-2.1.8-1.fc19.x86_64
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
libreport_version: libreport-2.1.8-1.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
satyr_version:  satyr-0.10-1.fc19.x86_64
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.